* [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/
@ 2016-08-06 10:17 Pacho Ramos
0 siblings, 0 replies; 4+ messages in thread
From: Pacho Ramos @ 2016-08-06 10:17 UTC (permalink / raw
To: gentoo-commits
commit: 11f8206f543ed6ae0aa5295812551636c08b26f0
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 6 10:04:29 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Aug 6 10:16:27 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11f8206f
sci-calculators/grpn: Cleanup per bug #131259
Package-Manager: portage-2.3.0
sci-calculators/grpn/metadata.xml | 4 ----
1 file changed, 4 deletions(-)
diff --git a/sci-calculators/grpn/metadata.xml b/sci-calculators/grpn/metadata.xml
index a7cea0b..9b3cd66 100644
--- a/sci-calculators/grpn/metadata.xml
+++ b/sci-calculators/grpn/metadata.xml
@@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>ssuominen@gentoo.org</email>
- <name>Samuli Suominen</name>
- </maintainer>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/
@ 2016-10-18 20:02 David Seifert
0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2016-10-18 20:02 UTC (permalink / raw
To: gentoo-commits
commit: 5b84bafee89f2ff7b7ae1872b85a76b41f70348b
Author: Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Tue Oct 18 18:35:48 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 20:02:31 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b84bafe
sci-calculators/grpn: Version bump to 1.4.0-1 / EAPI bump 4 -> 6
Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2589
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-calculators/grpn/Manifest | 1 +
sci-calculators/grpn/grpn-1.4.0.ebuild | 39 ++++++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/sci-calculators/grpn/Manifest b/sci-calculators/grpn/Manifest
index 07e02b5..acdf33a 100644
--- a/sci-calculators/grpn/Manifest
+++ b/sci-calculators/grpn/Manifest
@@ -1 +1,2 @@
DIST grpn_1.3.4-1.tar.gz 59172 SHA256 e26c9c4648c11d35d3a0ba8bb7855b016e2559fa291036eb2dac0a9d4b2caa6f SHA512 137b204e246d647a808f2278bfda7c71463c7e8fdb7446a6d59f43cfdb724c6c9f472f96385c2e46814c167f2c0827106fc207c4796f7a2f9e6c6ec09ea4ae6c WHIRLPOOL 61383489ce40cd4bdc2f6e83c9dd46bc0a053ae7fbd4ee8337ea8a22dc400f2c5d09ee10a784bb39ddb4413e17e164eef362bc33504433a10cb05095e379ab69
+DIST grpn_1.4.0-1.tar.gz 61430 SHA256 51fe7800cecab5119c94a87f6b263cc65073cfa7d655f538e7adf5273d092947 SHA512 f1e6831db2d4d0b4bd37a0b7d44f63563ec778f8820f305d9e57c96d8f93f8d3e48d703ab67d7e2819d41ab6d8188e81a6336eb9831cdf17389bc002dc7af371 WHIRLPOOL 3e1dab37c8df8537958f4837c6a6c0c2fbf6fd5b53d6bdfc0bb0f13ec3a26c2e1ebd633b7aca10b80a268edecf246928826e8db4bae3c228d7ba7029a575ea2b
diff --git a/sci-calculators/grpn/grpn-1.4.0.ebuild b/sci-calculators/grpn/grpn-1.4.0.ebuild
new file mode 100644
index 00000000..b89fdc4
--- /dev/null
+++ b/sci-calculators/grpn/grpn-1.4.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A reverse polish notation (RPN) calculator based on GTK+ and libmath"
+HOMEPAGE="http://www.getreu.net/"
+SRC_URI="http://www.getreu.net/public/downloads/software/${PN}/${P}/${PN}_${PV}-1.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/gtk+:2
+ x11-libs/libX11"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/src"
+
+src_prepare() {
+ default
+ sed -i -e 's:= -g -O2 -I/usr/X11/include:+=:' Makefile || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" DFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+
+ newicon icon.png ${PN}.png
+ make_desktop_entry ${PN} "RPN calculator"
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/
@ 2016-10-21 18:50 David Seifert
0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2016-10-21 18:50 UTC (permalink / raw
To: gentoo-commits
commit: 5a07bbd561b5fd1b30ec73a3ad742f2151c4a6af
Author: Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Fri Oct 21 07:58:38 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Oct 21 18:48:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a07bbd5
sci-calculators/grpn: Removing grpn-1.3.4 (EAPI 4)
Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2612
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-calculators/grpn/Manifest | 1 -
sci-calculators/grpn/grpn-1.3.4.ebuild | 36 ----------------------------------
2 files changed, 37 deletions(-)
diff --git a/sci-calculators/grpn/Manifest b/sci-calculators/grpn/Manifest
index acdf33a..1c7cdb5 100644
--- a/sci-calculators/grpn/Manifest
+++ b/sci-calculators/grpn/Manifest
@@ -1,2 +1 @@
-DIST grpn_1.3.4-1.tar.gz 59172 SHA256 e26c9c4648c11d35d3a0ba8bb7855b016e2559fa291036eb2dac0a9d4b2caa6f SHA512 137b204e246d647a808f2278bfda7c71463c7e8fdb7446a6d59f43cfdb724c6c9f472f96385c2e46814c167f2c0827106fc207c4796f7a2f9e6c6ec09ea4ae6c WHIRLPOOL 61383489ce40cd4bdc2f6e83c9dd46bc0a053ae7fbd4ee8337ea8a22dc400f2c5d09ee10a784bb39ddb4413e17e164eef362bc33504433a10cb05095e379ab69
DIST grpn_1.4.0-1.tar.gz 61430 SHA256 51fe7800cecab5119c94a87f6b263cc65073cfa7d655f538e7adf5273d092947 SHA512 f1e6831db2d4d0b4bd37a0b7d44f63563ec778f8820f305d9e57c96d8f93f8d3e48d703ab67d7e2819d41ab6d8188e81a6336eb9831cdf17389bc002dc7af371 WHIRLPOOL 3e1dab37c8df8537958f4837c6a6c0c2fbf6fd5b53d6bdfc0bb0f13ec3a26c2e1ebd633b7aca10b80a268edecf246928826e8db4bae3c228d7ba7029a575ea2b
diff --git a/sci-calculators/grpn/grpn-1.3.4.ebuild b/sci-calculators/grpn/grpn-1.3.4.ebuild
deleted file mode 100644
index f5729d2..00000000
--- a/sci-calculators/grpn/grpn-1.3.4.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=4
-inherit eutils toolchain-funcs
-
-DESCRIPTION="A reverse polish notation (RPN) calculator based on GTK+ and libmath"
-HOMEPAGE="http://www.getreu.net/"
-SRC_URI="http://www.getreu.net/public/downloads/software/${PN}/${P}/${PN}_${PV}-1.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="x11-libs/gtk+:2
- x11-libs/libX11"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-src_prepare() {
- sed -i -e 's:= -g -O2 -I/usr/X11/include:+=:' Makefile || die
-}
-
-src_compile() {
- emake CC="$(tc-getCC)" DFLAGS="${LDFLAGS}"
-}
-
-src_install() {
- dobin ${PN}
- doman ${PN}.1
-
- newicon icon.png ${PN}.png
- make_desktop_entry ${PN} "RPN calculator"
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/
@ 2022-10-08 19:52 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2022-10-08 19:52 UTC (permalink / raw
To: gentoo-commits
commit: c59a6e41a830098d874f439fa84d11e0268f09ec
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 8 19:50:26 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Oct 8 19:51:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c59a6e41
sci-calculators/grpn: fix DeprecatedEclass (eutils)
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-calculators/grpn/grpn-1.4.0.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sci-calculators/grpn/grpn-1.4.0.ebuild b/sci-calculators/grpn/grpn-1.4.0.ebuild
index c1a57f038409..b88ba3983156 100644
--- a/sci-calculators/grpn/grpn-1.4.0.ebuild
+++ b/sci-calculators/grpn/grpn-1.4.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit eutils toolchain-funcs
+inherit desktop toolchain-funcs
DESCRIPTION="A reverse polish notation (RPN) calculator based on GTK+ and libmath"
HOMEPAGE="http://www.getreu.net/"
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2022-10-08 19:52 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-10-21 18:50 [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/ David Seifert
-- strict thread matches above, loose matches on Subject: below --
2022-10-08 19:52 Sam James
2016-10-18 20:02 David Seifert
2016-08-06 10:17 Pacho Ramos
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox